# osgUtx::Test Class Reference

Test, an abstract base class, is the Composite pattern's component class for our graph of test cases, and defines the basic interface for all Test components. More...

Inheritance diagram for osgUtx::Test:

[legend]
List of all members.

## Public Types

typedef TestVisitor | Visitor

## Public Member Functions

| Test (const std::string &sName)
const std::string & | name () const
virtual bool | accept (Visitor &)=0

## Protected Member Functions

virtual | ~Test ()

## Protected Attributes

std::string | _name

## Detailed Description

Test, an abstract base class, is the Composite pattern's component class for our graph of test cases, and defines the basic interface for all Test components.

It is a referent, and may be pointed to by an osg::ref_ptr.

## Member Typedef Documentation

typedef TestVisitor osgUtx::Test::Visitor

## Constructor & Destructor Documentation

osgUtx::Test::Test | ( | const std::string & | sName | ) | `[inline]`

virtual osgUtx::Test::~Test | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual bool osgUtx::Test::accept | ( | Visitor & |  | ) | `[pure virtual]`

| Implemented in osgUtx::TestCase.

const std::string& osgUtx::Test::name | ( |  | ) | const`[inline]`

## Member Data Documentation

std::string osgUtx::Test::_name `[protected]`

The documentation for this class was generated from the following file:

- UnitTestFramework